## ros-melodic-omnibase-gazebo 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(omnibase_gazebo)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  roscpp
  sensor_msgs
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS geometry_msgs roscpp sensor_msgs std_msgs
)

# Install
install(DIRECTORY launch worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-omnibase-gazebo (1.0.2-2bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * new launch and urdf files
  * Contributors: Archit Rungta, Harshal Deshpande

 -- Harshal Heshpande <hardesh1deshpande@gmail.com>  Wed, 28 Oct 2020 18:30:00 -0000

ros-melodic-omnibase-gazebo (1.0.1-2bionic) bionic; urgency=high

  * version bump
  * fixed install issues
  * minor fixes
  * updated package.xmls
  * updated package.xmls
  * Contributors: Harshal Deshpande

 -- Harshal Heshpande <hardesh1deshpande@gmail.com>  Thu, 27 Aug 2020 18:30:00 -0000

ros-melodic-omnibase-gazebo (0.0.2-2bionic) bionic; urgency=high

  * obstacle world fix
  * docu update
  * shifted to catkin build tool
  * Merge pull request #8 <https://github.com/ERC-BPGC/omnibase/issues/8> from ERC-BPGC/structure_branch
    Merging new body
  * changes in the model
  * Fixed omniwheel size
  * Merge pull request #4 <https://github.com/ERC-BPGC/omnibase/issues/4> from ERC-BPGC/structure_branch
    Structure branch
  * model update
  * Changed to JointVelocityController
  * changed licenses
  * model changes and readme update
  * minor changes and doc update
  * added changelog files
  * added gazebo pkg
  * Contributors: Harshal Deshpande, Mihir Kulkarni

 -- harshal deshpande <hardesh1deshpande@gmail.com>  Fri, 24 Jul 2020 18:30:00 -0000

=== debian/control ===
Source: ros-melodic-omnibase-gazebo
Section: misc
Priority: optional
Maintainer: Harshal Heshpande <hardesh1deshpande@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-effort-controllers, ros-melodic-gazebo-msgs, ros-melodic-geometry-msgs, ros-melodic-joint-state-controller, ros-melodic-joint-trajectory-controller, ros-melodic-position-controllers, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-velocity-controllers
Homepage: https://erc-bpgc.github.io/omnibase/
Standards-Version: 3.9.2

Package: ros-melodic-omnibase-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-effort-controllers, ros-melodic-gazebo-msgs, ros-melodic-geometry-msgs, ros-melodic-joint-state-controller, ros-melodic-joint-trajectory-controller, ros-melodic-position-controllers, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-velocity-controllers
Description: The omnibase_gazebo package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-omnibase-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
